aboutsummaryrefslogtreecommitdiffhomepage
path: root/test
diff options
context:
space:
mode:
authorGravatar David Bremner <david@tethera.net>2014-10-03 23:19:00 +0200
committerGravatar David Bremner <david@tethera.net>2014-10-18 07:58:42 +0200
commitc48b12f18a4b9e0b46ec40ad7bab19a8086493fd (patch)
tree6805d69bd2d6b9265bbbbe8e5590c3981060c519 /test
parentdc20a0eedc80477c0db7b7dea9efef90860ec9fb (diff)
test/insert: check that indexing errors are accepted with --keep
This is overkill for the current code path, but should provide some robustness for future changes in error handling.
Diffstat (limited to 'test')
-rwxr-xr-xtest/T070-insert.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/test/T070-insert.sh b/test/T070-insert.sh
index be8060e6..80a22c1b 100755
--- a/test/T070-insert.sh
+++ b/test/T070-insert.sh
@@ -202,6 +202,11 @@ test_begin_subtest "error exit when add_message returns $code"
gdb --batch-silent --return-child-result -x index-file-$code.gdb \
--args notmuch insert < $gen_msg_filename
test_expect_equal $? 1
+
+test_begin_subtest "success exit with --keep when add_message returns $code"
+gdb --batch-silent --return-child-result -x index-file-$code.gdb \
+ --args notmuch insert --keep < $gen_msg_filename
+test_expect_equal $? 0
done
test_done